JobMediaSheetsCompleted (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.JobMediaSheetsCompleted class
Date: 2026-06-25

javax.print.attribute.standard

## Class JobMediaSheetsCompleted

- java.lang.Object
- - javax.print.attribute.IntegerSyntax
  - - javax.print.attribute.standard.JobMediaSheetsCompleted

- All Implemented Interfaces:
    Serializable, Cloneable, Attribute, PrintJobAttribute

      public final class JobMediaSheetsCompleted
      extends IntegerSyntax
      implements PrintJobAttribute

  Class JobMediaSheetsCompleted is an integer valued printing attribute class that specifies the number of media sheets which have completed marking and stacking for the entire job so far, whether those sheets have been processed on one side or on both.

  The JobMediaSheetsCompleted attribute describes the progress of the job. This attribute is intended to be a counter. That is, the JobMediaSheetsCompleted value for a job that has not started processing must be 0. When the job's `JobState` is PROCESSING or PROCESSING_STOPPED, the JobMediaSheetsCompleted value is intended to increase as the job is processed; it indicates the amount of the job that has been processed at the time the Print Job's attribute set is queried or at the time a print job event is reported. When the job enters the COMPLETED, CANCELED, or ABORTED states, the JobMediaSheetsCompleted value is the final value for the job.

  IPP Compatibility: The integer value gives the IPP integer value. The category name returned by `getName()` gives the IPP attribute name.

  See Also:
    `JobMediaSheets`, `JobMediaSheetsSupported`, `JobKOctetsProcessed`, `JobImpressionsCompleted`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobMediaSheetsCompleted(int value)` Construct a new job media sheets completed attribute with the given integer value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)` Returns whether this job media sheets completed attribute is equivalent to the passed in object.
    `Class<? extends Attribute>` | `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
    `String` | `getName()` Get the name of the category of which this attribute value is an instance.

    - ### Methods inherited from class javax.print.attribute.IntegerSyntax

      `getValue, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobMediaSheetsCompleted

          public JobMediaSheetsCompleted(int value)

      Construct a new job media sheets completed attribute with the given integer value.
      Parameters:
        `value` - Integer value.
      Throws:
        `IllegalArgumentException` - (Unchecked exception) Thrown if `value` is less than 0.

  - ### Method Detail

    - #### equals

          public boolean equals(Object object)

      Returns whether this job media sheets completed attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
      1. `object` is not null.
      2. `object` is an instance of class JobMediaSheetsCompleted.
      3. This job media sheets completed attribute's value and `object`'s value are equal.
      Overrides:
        `equals` in class `IntegerSyntax`
      Parameters:
        `object` - Object to compare to.
      Returns:
        True if `object` is equivalent to this job media sheets completed attribute, false otherwise.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### getCategory

          public final Class<? extends Attribute> getCategory()

      Get the printing attribute class which is to be used as the "category" for this printing attribute value.

      For class JobMediaSheetsCompleted, the category is class JobMediaSheetsCompleted itself.

      Specified by:
        `getCategory` in interface `Attribute`
      Returns:
        Printing attribute class (category), an instance of class `java.lang.Class`.

    - #### getName

          public final String getName()

      Get the name of the category of which this attribute value is an instance.

      For class JobMediaSheetsCompleted, the category name is `"job-media-sheets-completed"`.

      Specified by:
        `getName` in interface `Attribute`
      Returns:
        Attribute category name.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.